Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.installer
Class AbstractAppServerInstaller

    java.lang.Object
      org.wso2.wsas.installer.AbstractInstaller
          org.wso2.wsas.installer.AbstractAppServerInstaller

All Implemented Interfaces:
  Installable

Direct Known Subclasses:
  GeronimoInstaller, JBossInstaller, TomcatInstaller

public abstract class AbstractAppServerInstaller
extends AbstractInstaller

Field Summary
`static java.lang.String` | `OTHER_VERSION`

Fields inherited from class org.wso2.wsas.installer.AbstractInstaller
`javaHome, serverHome, wso2wsasHome`

Constructor Summary
`AbstractAppServerInstaller()`

Method Summary
`protected void` | `copyDerbyJAR(java.lang.String toDir)`
`protected void` | `copyLog4jJAR(java.lang.String toDir)`
`protected void` | `copyToolsJAR(java.lang.String toDir)`
`protected void` | `copyWsasWAR(java.lang.String webappsDir)`
`protected java.lang.String` | `getAppServerHome()`
`protected int` | `getServerVersionIndex()`

Methods inherited from class org.wso2.wsas.installer.AbstractInstaller
`createWebArchive, getItem, getServerHome, getWSASHome, setJavaHome, setServerHome, setWSASHome`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.wso2.wsas.installer.Installable
`getDescription, getId, getServerInfoImplClass, getServerProperties, getSupportedVersions, install`

Field Detail

### OTHER_VERSION

    public static final java.lang.String OTHER_VERSION

See Also:
  Constant Field Values

Constructor Detail

### AbstractAppServerInstaller

    public AbstractAppServerInstaller()

Method Detail

### getServerVersionIndex

    protected int getServerVersionIndex()
                                 throws InstallationException

  Throws:
    `InstallationException`

### getAppServerHome

    protected java.lang.String getAppServerHome()
                                         throws InstallationException

  Throws:
    `InstallationException`

### copyDerbyJAR

    protected void copyDerbyJAR(java.lang.String toDir)
                         throws InstallationException

  Throws:
    `InstallationException`

### copyLog4jJAR

    protected void copyLog4jJAR(java.lang.String toDir)
                         throws InstallationException

  Throws:
    `InstallationException`

### copyToolsJAR

    protected void copyToolsJAR(java.lang.String toDir)
                         throws InstallationException

  Throws:
    `InstallationException`

### copyWsasWAR

    protected void copyWsasWAR(java.lang.String webappsDir)
                        throws InstallationException

  Throws:
    `InstallationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD